Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I uninstalled this package with synaptic but it does not appear to have been completely removed. I used autoremove and the result is below. Reviewed several help requests but non seemed to work.

Can someone let me know what might work?

Reading package lists... Done 
Building dependency tree       
Reading state information... Done 
The following packages will be REMOVED: 
  language-pack-kde-en language-pack-kde-en-base mfc8500lpr:i386 
0 upgraded, 0 newly installed, 3 to remove and 0 not upgraded. 
1 not fully installed or removed. 
After this operation, 3,388 kB disk space will be freed. 
Do you want to continue [Y/n]? y 
(Reading database ... 422194 files and directories currently installed.) 
Removing mfc8500lpr:i386 ... 
/var/lib/dpkg/info/mfc8500lpr.postrm: 3: /var/lib/dpkg/info/mfc8500lpr.postrm: /etc/init.d/lpd: not found 
dpkg: error processing mfc8500lpr:i386 (--remove): 
 subprocess installed post-removal script returned error exit status 127 
Removing language-pack-kde-en-base ... 
Removing language-pack-kde-en ... 
Processing triggers for software-center ... 
INFO:softwarecenter.db.update:no translation information in database needed 
Processing triggers for bamfdaemon ... 
Rebuilding /usr/share/applications/bamf.index... 
Errors were encountered while processing: 
 mfc8500lpr:i386 
E: Sub-process /usr/bin/dpkg returned an error code (1) 

Output requested

cupswrappermfc8500:i386                1.0.2-1                                 Brother MFC8500 CUPS wrapper driver
rc  dmraid                                 1.0.0.rc16-4.1ubuntu8                   Device-Mapper Software RAID support tool
rc  fbreader                               0.12.10dfsg-6                           e-book reader
rc  firstboot-video                        2.3                                     Plays a video at firstboot.
rc  kde-l10n-engb                          4:4.8.5-0ubuntu0.1                      British English (engb) localization for KDE
rc  kpartx-boot                            0.4.9-3ubuntu5                          Provides kpartx during boot
rc  language-pack-kde-en-base              1:12.04+20130128                        KDE translations for language English
rc  libdebconfclient0                      0.158ubuntu1                            Debian Configuration Management System (C-implementation library)
rc  libdebian-installer4                   0.79ubuntu2.1                           Library of common debian-installer functions
rc  libdmraid1.0.0.rc16                    1.0.0.rc16-4.1ubuntu8                   Device-Mapper Software RAID support tool - shared library
rc  libept1.4.12                           1.0.6~exp1ubuntu1                       High-level library for managing Debian package information
rc  liblinebreak2                          2.1-1                                   line breaking library for Unicode (shared library)
rc  libubuntuoneui-3.0-1                   3.0.1-0ubuntu1                          Ubuntu One widget library
rc  libzlcore0.12                          0.12.10dfsg-6                           ZLibrary cross-platform development library (shared library)
rc  libzltext0.12                          0.12.10dfsg-6                           ZLibrary text model/viewer part (shared library)
rc  oem-config                             2.10.20                                 Perform end-user configuration after initial OEM installation
rc  oem-config-gtk                         2.10.20                                 GTK+ frontend for end-user post-OEM-install configuration
rc  oobe-dim-disable                       1.0                                     Disables screen dimming.
rc  pdfedit                                0.4.5-2                                 Editor for manipulating PDF documents
rc  synaptic                               0.75.9ubuntu1                           Graphical package manager
rc  ubuntu-recovery-bootloader             0.3.35yongkang5                         Bootloader images for Ubuntu's factory process
rc  user-setup                             1.42ubuntu3                       
share|improve this question
    
You have to use purge in order to remove it completely. I guess you have some residual packages.. Edit your question and post the output of this command: sudo dpkg -l | grep -e "^rc" -e "^iU". Reply.. –  Saur.K Nov 23 '13 at 19:28
add comment

2 Answers

It seems that the package tries to restart lpd service, witch is not there in the standard ubuntu installation. Try to run

sudo ln -s /etc/init.d/cups /etc/init.d/lpd

before removing the package, do the uninstall and then run

sudo rm /etc/init.d/lpd

to remove the link.

share|improve this answer
    
First command came back with ln: failed to create symbolic link `./lpd': File exists –  Dan Nov 24 '13 at 2:07
add comment
sudo dpkg --configure -a

and

sudo apt-get install -f

the problem of a broken package still exist the solution is to edit the dpkg status file manually.

sudo nano /var/lib/dpkg/status  

Locate the corrupt package(mfc8500lpr.postrm), and remove the whole block of information about it and save the file.

sudo dpkg -i --force-all [deb file path]

That is mfc8500lpr:i386 file path.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.